sc::StateRecv(3)

NAME
sc::StateRecv -

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateRecv.

  Public Member Functions
StateRecv (const Ref< MessageGrp > &)
Create a StateRecv given a MessageGrp.
void source (int)
Specify the source node.

  Protected Member Functions
void next_buffer ()
Specializations must implement next_buffer().

Detailed Description

StateRecv is a concrete specialization of MsgStateRecv that does the receive part of point to point communication in a MessageGrp.

Author

Generated automatically by Doxygen for MPQC from the source code.